Retrieve single contact by id
GET
/v3/contacts/{contactId}
const url = 'https://api-crm-staging.divinea.com/api/v3/contacts/1';const options = {method: 'GET', headers: {APIKey: '<APIKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-crm-staging.divinea.com/api/v3/contacts/1 \ --header 'APIKey: <APIKey>'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”contactId
required
integer format: int64
ContactId
Responses
Sezione intitolata “Responses”OK
Media type*/*
ContactExportDTOV3
Export version for responses
object
acceptedMarketing
boolean
acceptedPrivacyTerms
boolean
acceptedProfiling
boolean
addresses
Array<object>
AddressExportDTOobject
address
string
city
string
countryISO
string
province
string
zipcode
string
cap
string
city
string
contactValue
number format: double
country
string
countryISO
string
dateOfBirth
string format: date
emails
Array<object>
EmailEmail object for a contact
object
email
Email address
string
Example
john.doe@gmail.commaster
boolean
type
Type of email
string
Example
masterfirstName
string
id
integer format: int64
languageISO
string
lastName
string
manualMarketing
boolean
phoneNumbers
Array<object>
PhonePhone object for a contact
object
phone
Phone number
string
Example
+1234567890type
Type of phone
string
Example
masterprovince
string
unsubscribed
boolean
wineryId
string